summaryrefslogtreecommitdiff
path: root/build-aux/csharpexec.sh.in
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2018-10-09 01:44:07 +0200
committerBruno Haible <bruno@clisp.org>2018-10-09 01:45:47 +0200
commit744e2d520d6f5cf93f1a9d2bc36b6a6d90f7ea95 (patch)
tree679d80b883bddb263b8c64ef29720dcbb9a85f77 /build-aux/csharpexec.sh.in
parentfd04e11fce4658e01685815c10060858ccf0bb25 (diff)
downloadgnulib-744e2d520d6f5cf93f1a9d2bc36b6a6d90f7ea95.tar.gz
csharpcomp*, csharpexec*: Remove support for pnet.
* m4/csharpcomp.m4 (gt_CSHARPCOMP): Don't test for cscc. Don't set HAVE_CSCC. * build-aux/csharpcomp.sh.in (options_cscc): Remove variable. Don't test HAVE_CSCC. * lib/csharpcomp.c (compile_csharp_using_pnet): Remove function. (compile_csharp_class): Don't invoke it. * m4/csharpexec.m4 (gt_CSHARPEXEC): Don't test for ilrun. Don't set HAVE_ILRUN. * build-aux/csharpexec.sh.in (options_ilrun): Remove variable. Don't test HAVE_ILRUN. * lib/csharpexec.c (execute_csharp_using_pnet): Remove function. (execute_csharp_program): Don't invoke it. * m4/csharp.m4 (gt_CSHARP_CHOICE): Don't recognize --enable-csharp=pnet any more.
Diffstat (limited to 'build-aux/csharpexec.sh.in')
-rw-r--r--build-aux/csharpexec.sh.in45
1 files changed, 19 insertions, 26 deletions
diff --git a/build-aux/csharpexec.sh.in b/build-aux/csharpexec.sh.in
index 436b860791..812cdc6620 100644
--- a/build-aux/csharpexec.sh.in
+++ b/build-aux/csharpexec.sh.in
@@ -29,13 +29,11 @@
# -L DIRECTORY search for C# libraries also in DIRECTORY
sed_quote_subst='s/\([|&;<>()$`"'"'"'*?[#~=% \\]\)/\\\1/g'
-options_ilrun=
libdirs_mono=
prog=
while test $# != 0; do
case "$1" in
-L)
- options_ilrun="$options_ilrun -L "`echo "$2" | sed -e "$sed_quote_subst"`
libdirs_mono="${libdirs_mono:+$libdirs_mono@MONO_PATH_SEPARATOR@}$2"
shift
;;
@@ -62,34 +60,29 @@ case "$prog" in
;;
esac
-if test -n "@HAVE_ILRUN@"; then
- test -z "$CSHARP_VERBOSE" || echo ilrun $options_ilrun "$@"
- exec ilrun $options_ilrun "$@"
+if test -n "@HAVE_MONO@"; then
+ CONF_MONO_PATH='@MONO_PATH@'
+ if test -n "$libdirs_mono"; then
+ MONO_PATH="$libdirs_mono${CONF_MONO_PATH:+@MONO_PATH_SEPARATOR@$CONF_MONO_PATH}"
+ else
+ MONO_PATH="$CONF_MONO_PATH"
+ fi
+ export MONO_PATH
+ test -z "$CSHARP_VERBOSE" || echo mono "$@"
+ exec mono "$@"
else
- if test -n "@HAVE_MONO@"; then
- CONF_MONO_PATH='@MONO_PATH@'
+ if test -n "@HAVE_CLIX@"; then
+ CONF_CLIX_PATH='@CLIX_PATH@'
if test -n "$libdirs_mono"; then
- MONO_PATH="$libdirs_mono${CONF_MONO_PATH:+@MONO_PATH_SEPARATOR@$CONF_MONO_PATH}"
+ @CLIX_PATH_VAR@="$libdirs_mono${CONF_CLIX_PATH:+@MONO_PATH_SEPARATOR@$CONF_CLIX_PATH}"
else
- MONO_PATH="$CONF_MONO_PATH"
+ @CLIX_PATH_VAR@="$CONF_CLIX_PATH"
fi
- export MONO_PATH
- test -z "$CSHARP_VERBOSE" || echo mono "$@"
- exec mono "$@"
+ export @CLIX_PATH_VAR@
+ test -z "$CSHARP_VERBOSE" || echo clix "$@"
+ exec clix "$@"
else
- if test -n "@HAVE_CLIX@"; then
- CONF_CLIX_PATH='@CLIX_PATH@'
- if test -n "$libdirs_mono"; then
- @CLIX_PATH_VAR@="$libdirs_mono${CONF_CLIX_PATH:+@MONO_PATH_SEPARATOR@$CONF_CLIX_PATH}"
- else
- @CLIX_PATH_VAR@="$CONF_CLIX_PATH"
- fi
- export @CLIX_PATH_VAR@
- test -z "$CSHARP_VERBOSE" || echo clix "$@"
- exec clix "$@"
- else
- echo 'C# virtual machine not found, try installing pnet, then reconfigure' 1>&2
- exit 1
- fi
+ echo 'C# virtual machine not found, try installing mono, then reconfigure' 1>&2
+ exit 1
fi
fi